/* UPPER HEADER DESKTOP */
body.admin-bar header {
  margin-top: 32px;
}
@media (max-width: 782px) {
  #wpadminbar {
    position: fixed;
    top: 0;
  }
  body.admin-bar header {
    margin-top: 46px;
  }
}

header {
  position: fixed;
  top: 0;
  z-index: 99999;
  width: 100%;
}
header #upper-header {
  height: 32px;
}
header #upper-header #we-call-you-container {
  gap: 48px;
}
header #upper-header #we-call-you-container .wp-block-button a {
  position: relative;
  padding: 2px 16px 2px 38px !important;
  font-size: 14px;
  line-height: var(--wp--custom--line-height--short);
  font-weight: var(--wp--custom--font-weight--semi-bold);
}
header #upper-header #we-call-you-container .wp-block-button a::before {
  content: "";
  background-image: url(/wp-content/themes/wpct-sc/assets/images/black-phone.png) !important;
  position: absolute;
  left: 16px;
  top: 5px;
  height: 18px;
  width: 16px;
  height: 18px;
  background-size: contain;
  background-repeat: no-repeat;
  display: inline-block;
}
header #navigation {
  height: 72px;
  max-height: 72px;
}

/* HEADER DESKTOP */

header
  #navigation
  .wp-block-navigation__responsive-container
  .wp-block-navigation__container
  li:nth-child(n + 7) {
  display: none;
}

.wp-block-navigation__responsive-container:not(.hidden-by-default):not(
    .is-menu-open
  ) {
  display: block;
  width: 100%;
  z-index: auto;
}
.wp-block-navigation__responsive-container-open:not(.always-shown) {
  display: none;
}
#navigation {
  position: relative;
}

#navigation .wp-block-navigation__responsive-container-content {
  gap: 8px !important;
}

#navigation nav.wp-block-navigation,
#navigation .wp-block-navigation__responsive-container,
#navigation wp-block-navigation__responsive-close,
.wp-block-navigation__responsive-dialog,
#navigation .wp-block-navigation__responsive-container-content,
#navigation .wp-block-navigation__responsive-container-content > ul,
#navigation .wp-block-navigation__responsive-container-content > ul > li {
  position: static;
}
#navigation
  .wp-block-navigation__responsive-container-content
  > ul
  > li.current-menu-item {
  border-bottom: 3px solid;
  font-weight: var(--wp--custom--font-weight--semi-bold);
  padding-top: 3px;
  border-bottom: 3px solid;
}
#navigation .wp-block-group:first-child {
  flex: 1;
}
#navigation .wp-block-navigation__container > .wp-block-navigation-item {
  padding: 0px 10px;
  height: 72px;
}
/* header submenu desktop */
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container:not(
    #language-switcher > .wp-block-navigation__submenu-container
  ):not(
    .wp-block-navigation__responsive-container.is-menu-open
      .wp-block-navigation__responsive-container-content
      .has-child
      .wp-block-navigation__submenu-container.is-open-submenu
  ):not(
    #right-group #language-switcher .wp-block-navigation__submenu-container
  ):not(#language-switcher-mobile .wp-block-navigation__submenu-container) {
  position: absolute;
  background-color: var(--wp--preset--color--seashell);
  width: 100%;
  left: 0;
  top: 72px;
  flex-direction: row;
  color: var(--wp--preset--color--black) !important;
  height: 48px;
  border: var(--wp--preset--color--base);
  padding: 0;
  gap: 8px;
  padding-left: 100px;
}
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container.middle-link {
  padding-left: 600px !important;
}
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container:has(li.current-menu-item) {
  opacity: 1 !important;
  z-index: 1;
  overflow: visible;
  visibility: visible;
}
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container
  > .wp-block-navigation-item {
  height: 48px;
  padding: 0 10px !important;
}
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container
  > .wp-block-navigation-item
  a {
  padding: 0;
}
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container
  > .wp-block-navigation-item:hover,
#navigation
  .wp-block-navigation__container
  .wp-block-navigation__submenu-container
  > li.current-menu-item {
  border-bottom: 2px solid;
}

/* language switcher desktop */
#navigation nav #language-switcher-mobile {
  display: none;
}
#right-group #language-switcher {
  flex: 1;
}
#right-group #language-switcher .wp-block-navigation-item {
  padding: 0;
}

#right-group #language-switcher .wp-block-navigation__submenu-container {
  background-color: unset;
  top: 47px;
}
#navigation nav #language-switcher .wp-block-navigation__submenu-container li,
#navigation
  nav
  #language-switcher
  .wp-block-navigation__submenu-container
  li
  a {
  padding: 0;
}
#right-group
  #language-switcher
  .wp-block-navigation__submenu-container
  li:hover {
  border: none !important;
}
#navigation #mobile-button {
  display: none;
}
#navigation #ov-button {
  display: block;
}

/*RESPONSIVE-HEADER (MOBILE-TABLET)*/
@media (max-width: 432px) {
  #navigation > .wp-block-group:first-child {
    justify-content: flex-start !important;
  }
}

@media (max-width: 782px) {
  header #upper-header .responsive-display {
    display: none;
  }

  header #navigation figure,
  header #navigation figure img {
    width: 72px;
    max-width: 72px;
  }
}

@media (max-width: 1023px) {
  header #upper-header {
    display: none;
  }
  header #navigation {
    padding: 8px 16px !important;
  }
  /* header #navigation figure {
    position: relative;
    display: block;
    z-index: 9999999;
  } */
  header #navigation .wp-block-navigation__responsive-container {
    position: fixed;
  }
  .wp-block-navigation__responsive-container:not(.hidden-by-default):not(
      .is-menu-open
    ) {
    display: none;
  }
  #navigation > .wp-block-group:first-child {
    width: 100%;
    justify-content: space-between;
  }
  #navigation > .wp-block-group:last-child {
    display: none;
  }

  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block;
  }

  #navigation #mobile-button {
    display: block;
  }

  #navigation #mobile-button .wp-block-button a {
    position: relative;
    padding: 8px 16px 8px 38px !important;
  }
  #navigation #mobile-button .wp-block-button a::before {
    content: "";
    background-image: url(/wp-content/themes/wpct-sc/assets/images/Medium-white.png) !important;
    position: absolute;
    left: 16px;
    top: 12px;
    height: 18px;
    width: 16px;
    height: 18px;
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
  }
  #navigation #ov-button {
    display: none;
  }

  /*mobile modal*/

  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open {
    background-color: var(--wp--preset--color--primary);
    padding: 0;
  }
  /*UPPER PART OF MODAL */
  header #navigation .wp-block-navigation__responsive-container-close {
    position: absolute;
    right: 24px;
    top: 12px;
  }
  header #navigation .wp-block-navigation__responsive-dialog {
    position: relative;
  }
  /* header #navigation .wp-block-navigation__responsive-dialog:after {
    content: "";
    left: 16px;
    position: absolute !important;
    top: 21px;
    width: 72px;
    height: 30px;
    background-image: url(/wp-content/themes/wpct-sc/assets/images/logo_sc_black.png) !important;
    background-repeat: no-repeat;
    background-size: contain;
  } */

  /* /submenu responsive */

  /*LINKS */

  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    > ul
    > li.current-menu-item {
    border-bottom: none;
    font-weight: inherit;
    border-left: 8px solid var(--wp--preset--color--black);
    padding-top: 0px;
  }
  #navigation
    .wp-block-navigation__container
    .wp-block-navigation__submenu-container
    > li.current-menu-item {
    border-bottom: none;
  }
  header
    #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content {
    padding-top: calc(2rem + 36px);
  }

  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__container
    li:nth-child(n + 7) {
    display: block;
  }
  /* header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-call-you-header-button {
    font-size: 14px;
    position: absolute;
    top: 15px;
    right: 84px;
    width: 160px;
    height: 56px;
    z-index: 3;
    padding: 0 !important;
  }
  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-call-you-header-button
    a {
    font-size: 14px;
    font-weight: var(--wp--custom--font-weight--semi-bold);
    border-radius: 8px;
    text-transform: none;
    background: var(--wp--preset--color--black);
    color: var(--wp--preset--color--white);
    padding: 13px 16px 13px 38px !important;
  }
  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-call-you-header-button::before {
    content: "";
    background-image: url(/wp-content/themes/wpct-sc/assets/images/Medium-white.png) !important;
    position: absolute;
    left: 16px;
    top: 12px;
    width: 16px;
    height: 18px;
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
  } */
  /*Oficia virtual button MOBILE-TABLET*/
  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-ov-header-button {
    border-top: 1px solid;
    border-bottom: 1px solid;
  }
  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-ov-header-button
    a {
    margin-left: 32px;
  }
  header
    #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li.sc-ov-header-button
    a::before {
    content: "";
    background-image: url(/wp-content/themes/wpct-sc/assets/images/ov-logo.png) !important;
    position: absolute;
    left: 24px;
    top: 15px;
    width: 20px;
    height: 20px;
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
  }

  /* submenu container inside mobile-tablet menu */

  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .has-child
    .wp-block-navigation__submenu-container:not(
      #language-switcher-mobile .wp-block-navigation__submenu-container
    ) {
    display: none;
  }

  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container,
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    .wp-block-navigation-item {
    width: 100%;
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content {
    gap: 0;
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container {
    border-top: 1px solid var(--wp--preset--color--black);
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    .wp-block-navigation-item:not(
      #language-switcher-mobile .wp-block-navigation-item
    ):not(.sc-call-you-header-button) {
    position: relative;
    padding: 0 !important;
    height: auto !important;
    font-size: 20px;
    padding: 16px 24px !important;
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    .wp-block-navigation-item
    a {
    padding: 0px;
    font-size: 20px;
  }

  #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__container
    .wp-block-navigation-item
    button.wp-block-navigation__submenu-icon {
    position: absolute;
    right: 32px;
    top: 12px;
    display: block;
  }
  #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__container
    .wp-block-navigation-item
    button.wp-block-navigation__submenu-icon
    svg {
    width: 1rem;
    height: 1rem;
  }
  #navigation
    .wp-block-navigation__responsive-container.has-modal-open.is-menu-open
    .wp-block-navigation__container
    .wp-block-navigation-item
    button.wp-block-navigation__submenu-icon.is-toggled
    svg {
    transform: rotateZ(-180deg);
  }

  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .has-child
    .wp-block-navigation__submenu-container.is-open-submenu {
    display: block !important;
    position: static;
    height: auto;
    margin: 16px 0px 0px 0px;
    padding: 0px !important;
    border-top: 1px dashed var(--wp--preset--color--black);
    border-bottom: 1px dashed var(--wp--preset--color--black);
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .has-child
    .wp-block-navigation__submenu-container {
    width: 100%;
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .has-child
    .wp-block-navigation__submenu-container
    li:not(
      #language-switcher-mobile
        .wp-block-navigation-item.has-child
        .wp-block-navigation__submenu-container
        li
    ) {
    padding: 16px !important;
  }
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__submenu-container
    .wp-block-navigation-item
    a {
    font-size: 20px;
    padding: 0px !important;
    margin-left: -24px;
  }
  #navigation
    .wp-block-navigation__container
    .wp-block-navigation__submenu-container
    > .wp-block-navigation-item:hover,
  #navigation
    .wp-block-navigation__container
    .wp-block-navigation__submenu-container
    > li.current-menu-item {
    border-bottom: none;
  }
  /* #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    .wp-block-navigation-item
    a.is-clicked {
    border-left: 8px solid var(--wp--preset--color--black);
  } */
  #navigation
    .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .has-child
    .wp-block-navigation__submenu-container
    li
    a {
    font-size: 16px;
    text-transform: none;
    padding: 16px;
    margin-left: 0px;
  }

  /*languatge switcher mobile*/
  #language-switcher-mobile {
    display: block !important;
  }
  #language-switcher-mobile .wp-block-navigation-item {
    padding: 0 !important;
  }
  #language-switcher-mobile ul.wp-block-navigation__container {
    border-top: none !important;
  }
  #language-switcher-mobile
    .wp-block-navigation-item.has-child
    .wp-block-navigation-item__content
    .current-language-item,
  #language-switcher-mobile .wp-block-navigation__submenu-container li a {
    padding: 16px 24px !important;
    font-size: 20px !important;
  }
  #language-switcher-mobile .wp-block-navigation__submenu-container {
    background-color: unset;
    display: none;
    top: 32px !important;
  }
  #language-switcher-mobile
    .wp-block-navigation-item.has-child
    .wp-block-navigation__submenu-container {
    padding: 0 !important;
  }
  #language-switcher-mobile
    .wp-block-navigation-item.has-child
    .wp-block-navigation__submenu-container
    li {
    padding: 0px 24px !important;
  }

  #language-switcher-mobile .wp-block-navigation__submenu-container.is-toggled {
    display: block;
  }
  #language-switcher-mobile .wp-block-navigation__submenu-icon {
    display: block;
  }
}
